Ethernet Products
Intel® Ethernet products and technologies
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
3704 Discussions

Prereq to install IntelOPA-Basic is obsoleted!

CEnsl
Beginner
475 Views

**YES, I know this is the Ethernet forum. NO you do not have an IntelOPA nor OmniPath forum. But you need one! Please move this accordingly. This needs resolution!

 

We are installing IntelOPA-Basic.RHEL75-x86_64.10.9.3.1.1 and during install process we get this:

 

IntelOPA-Basic.RHEL75-x86_64.10.9.3.1.1]# ./INSTALL -a

Installing All OPA Software

Determining what is installed on system...

--> opa_stack requires libibcm 

Lacking OS Prereqs for OFA OPA Stack

Failed to install all OPA software.

 

However this is flawed because:

 

IntelOPA-Basic.RHEL75-x86_64.10.9.3.1.1]# yum install libibcm

Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager

Package libibcm-15-7.el7_5.x86_64 is obsoleted by rdma-core-22.1-3.el7.x86_64 which is already installed

Nothing to do

 

We need a fix for this! Even if I remove rdma-core and then do "yum install libibcm" it actually just goes and installs rdma-core again!

 

please help!

0 Kudos
4 Replies
Carlos_V_Intel1
Employee
189 Views

Hello Chris,

 

Thank you for contacting Intel.

My name is Charlie and I will be assisting you today,

In order to better assist you can you confirm what is the Operating System and version that you are using?

 

 

CEnsl
Beginner
189 Views

If you look in the name of the IntelOPA stack above, you can see that it is RHEL 7.5.

 

I rebuilt the system with RHEL 7.6 - and that release worked without this install error. You have a bug in the latest install script.

 

I should point out that, first I tried "yum update" in an attempt to try this with latest packages. But guess which RHEL release does NOT have an IntelOPA Basic driver? RHEL 7.7. It would be a good idea to fix that also. I had to rebuild my system with RHEL 7.6 to get this to install.

 

Carlos_V_Intel1
Employee
189 Views

Thank you for your answer, we understand.

At this point, Intel does not offer support for Fabric products through communities. I am sharing the Contact US information for future reference.

I will send you a Private Message in order to provide direct support through the correct venue.

CEnsl
Beginner
189 Views

Okay thank you for that information.

Reply